#include "Halloween2025EventComponent.h"
#include "Net/UnrealNetwork.h"

void UHalloween2025EventComponent::OnRep_GeneratorRemoteRepairPairs()
{

}

void UHalloween2025EventComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UHalloween2025EventComponent, _generatorRemoteRepairPairs);
}

UHalloween2025EventComponent::UHalloween2025EventComponent()
{
	this->_attachVoidCrystalToGeneratorInteractionClass = NULL;
	this->_remoteRepairGeneratorClass = NULL;
	this->_passiveVoidHauntStatusEffectClass = NULL;
	this->_hauntPassivePalletCosmeticClass = NULL;
	this->_hauntPassiveGeneratorCosmeticClass = NULL;
	this->_hauntPassiveBreakableCosmeticClass = NULL;
	this->_attackingVoidHauntClass = NULL;
}
